# Server
server.port=8081
server.error.include-message=always
# Postgres
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.url=jdbc:postgresql://localhost:5432/postgres
spring.datasource.username=postgres
spring.datasource.password=postgres
# JPA
spring.jpa.hibernate.ddl-auto=validate
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQLDialect
# Liquibase
spring.liquibase.enabled=true
spring.liquibase.change-log=classpath:db/db.changelog-master.yaml
# Config
spring.security.user.name=bank-user
spring.security.user.password=bank-password
# SSL
server.ssl.key-store-type=PKCS12
server.ssl.key-store=classpath:bank.p12
server.ssl.key-store-password=password
server.ssl.key-alias=bank